#include "mungal4.h"
#pragma hdrstop

#include <iostream>
#include <conio.h>

int PC_Keyboard_Read(void)
{
	int	c;

	if (!kbhit())		// if keyboard has not been hit, return zero
	{
		return(0);
	}
	else
	{
		c = getch();	// keyboard was hit, get code	
		if (c == 0)		// zero: next character is extended code
		{
			c = getch() | 0x0100;	// flag as extended
		}
		return(c);		// return the value
	}
}
